Page MenuHomePhabricator

TemplateData: Add parameter type for url
Closed, ResolvedPublic

Description

Some templates except a valid URL for the values of some of their parameters. Would it be possible to define an "url" type for parameters ? That would allow editing tools to help the user putting a correct value.

I've written this enhancement request after reading the following discussion
http://de.wikipedia.org/wiki/Benutzer_Diskussion:Stefan_K%C3%BChn/Check_Wikipedia#Additional_check_for_ru-wiki


Version: unspecified
Severity: enhancement

Details

Reference
bz52880

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 1:47 AM
bzimport added a project: TemplateData.
bzimport set Reference to bz52880.
NicoV created this task.Aug 15 2013, 12:32 PM

Sounds good. I propose we use type identifier "string/url".

Jdforrester-WMF lowered the priority of this task from High to Normal.Dec 2 2014, 9:16 PM
Jdforrester-WMF moved this task from Backlog to Next-up on the TemplateData board.
Jdforrester-WMF moved this task from Next-up to Doing on the TemplateData board.Sep 17 2015, 7:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 17 2015, 7:39 PM

Change 239185 had a related patch set uploaded (by Jforrester):
Add a url type for URLs

https://gerrit.wikimedia.org/r/239185

Jdforrester-WMF set Security to None.
Krinkle closed this task as Resolved.Sep 30 2015, 10:16 PM

Change 239185 merged by jenkins-bot:
Add a url type for URLs

https://gerrit.wikimedia.org/r/239185